## com.sun.jersey.core.header
Class LinkHeader

    java.lang.Object
      com.sun.jersey.core.header.LinkHeader

    public class LinkHeader

extends java.lang.Object

A Link header.

Author:
  Santiago.PericasGeertsen@sun.com, Paul.Sandoz@sun.com

Nested Class Summary
`static class` | `LinkHeader.LinkHeaderBuilder<T extends LinkHeader.LinkHeaderBuilder,V extends LinkHeader>` A Link header builder.

Constructor Summary
`` | `LinkHeader(HttpHeaderReader reader)`
`protected` | `LinkHeader(LinkHeader.LinkHeaderBuilder builder)`
`` | `LinkHeader(java.lang.String header)`

Method Summary
`java.lang.String` | `getOp()`
`MultivaluedMap<java.lang.String,java.lang.String>` | `getParams()`
`java.util.Set<java.lang.String>` | `getRel()`
`MediaType` | `getType()`
`java.net.URI` | `getUri()`
`java.lang.String` | `toString()`
`static LinkHeader.LinkHeaderBuilder` | `uri(java.net.URI uri)`
`static LinkHeader` | `valueOf(java.lang.String header)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LinkHeader

    public LinkHeader(java.lang.String header)
               throws java.text.ParseException,
                      java.lang.IllegalArgumentException

Throws:
  `java.text.ParseException`
  `java.lang.IllegalArgumentException`

### LinkHeader

    public LinkHeader(HttpHeaderReader reader)
               throws java.text.ParseException,
                      java.lang.IllegalArgumentException

Throws:
  `java.text.ParseException`
  `java.lang.IllegalArgumentException`

### LinkHeader

    protected LinkHeader(LinkHeader.LinkHeaderBuilder builder)

Method Detail

### valueOf

    public static LinkHeader valueOf(java.lang.String header)
                              throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getParams

    public MultivaluedMap<java.lang.String,java.lang.String> getParams()

### getUri

    public java.net.URI getUri()

### getRel

    public java.util.Set<java.lang.String> getRel()

### getType

    public MediaType getType()

### getOp

    public java.lang.String getOp()

### uri

    public static LinkHeader.LinkHeaderBuilder uri(java.net.URI uri)

Copyright © 2017 Oracle Corporation. All Rights Reserved.